Skip to content Skip to sidebar Skip to footer

Show Point Labels Next To Them In Freecad

I want to create some points in FreeCAD and have their labels displayed next to them. My final goal is to implement this feature request I placed in OpenFOAM repo. I tried creating

Solution 1:

One temporary solution is to use text. if vertices is a list of tuples (xi, yi, zi) then:

for vertexNum, vertex in enumerate(vertices):
    p=Draft.makePoint(vertex[0],vertex[1],vertex[2])
    p.Label=str(vertexNum)
    Draft.makeText([str(vertexNum)],point=FreeCAD.Vector(vertex[0],vertex[1],vertex[2]))

Post a Comment for "Show Point Labels Next To Them In Freecad"